package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.render.item.HeldItemRenderer;
import net.minecraft.item.ItemStack;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({HeldItemRenderer.class})
public interface IHeldItemRenderer {
   @Accessor("equipProgressMainHand")
   float getEquippedProgressMainHand();

   @Accessor("equipProgressMainHand")
   void setEquippedProgressMainHand(float f);

   @Accessor("equipProgressOffHand")
   float getEquippedProgressOffHand();

   @Accessor("equipProgressOffHand")
   void setEquippedProgressOffHand(float f);

   @Accessor("mainHand")
   void setItemStackMainHand(ItemStack itemStack);

   @Accessor("offHand")
   void setItemStackOffHand(ItemStack itemStack);
}
